Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::SkipBuffer Class Reference

Used to buffer the top skip levels. More...

`#include <MultiLevelSkipListReader.h>`

Inheritance diagram for Lucene::SkipBuffer:

## Public Member Functions

| SkipBuffer (const IndexInputPtr &input, int32_t length)
virtual | ~SkipBuffer ()
virtual String | getClassName ()
boost::shared_ptr< SkipBuffer > | shared_from_this ()
virtual void | close ()
| Closes the stream to further operations. More...
virtual int64_t | getFilePointer ()
| Returns the current position in this file, where the next read will occur. More...
virtual int64_t | length ()
| The number of bytes in the file. More...
virtual uint8_t | readByte ()
| Reads and returns a single byte. More...
virtual void | readBytes (uint8_t *b, int32_t offset, int32_t length)
| Reads a specified number of bytes into an array at the specified offset. More...
virtual void | seek (int64_t pos)
| Sets current position in this file, where the next read will occur. More...
Public Member Functions inherited from Lucene::IndexInput
| IndexInput ()
virtual | ~IndexInput ()
boost::shared_ptr< IndexInput > | shared_from_this ()
virtual void | readBytes (uint8_t *b, int32_t offset, int32_t length, bool useBuffer)
| Reads a specified number of bytes into an array at the specified offset with control over whether the read should be buffered (callers who have their own buffer should pass in "false" for useBuffer). Currently only BufferedIndexInput respects this parameter. More...
virtual int32_t | readInt ()
| Reads four bytes and returns an int. More...
virtual int32_t | readVInt ()
| Reads an int stored in variable-length format. Reads between one and five bytes. Smaller values take fewer bytes. Negative numbers are not supported. More...
virtual int64_t | readLong ()
| Reads eight bytes and returns a int64. More...
virtual int64_t | readVLong ()
| Reads a int64 stored in variable-length format. Reads between one and nine bytes. Smaller values take fewer bytes. Negative numbers are not supported. More...
virtual void | setModifiedUTF8StringsMode ()
| Call this if readString should read characters stored in the old modified UTF8 format. This is used for indices written pre-2.4. More...
virtual String | readString ()
| Reads a string. More...
virtual String | readModifiedUTF8String ()
| Reads a modified UTF8 format string. More...
virtual int32_t | readChars (wchar_t *buffer, int32_t start, int32_t length)
| Reads Lucene's old "modified UTF-8" encoded characters into an array. More...
virtual void | skipChars (int32_t length)

Similar to readChars(wchar_t*, int32_t, int32_t) but does not do any conversion operations on the bytes it is reading in. It still has to invoke readByte() just as readChars(wchar_t*, int32_t, int32_t) does, but it does not need a buffer to store anything and it does not have to do any of the bitwise operations, since we don't actually care what is in the byte except to determine how many more bytes to read. More...

virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Returns a clone of this stream. More...
virtual MapStringString | readStringStringMap ()
| Read string map as a series of key/value pairs. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::IndexInput
static String | _getClassName ()

## Protected Attributes

ByteArray | data
int64_t | pointer
int32_t | pos
Protected Attributes inherited from Lucene::IndexInput
bool | preUTF8Strings
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Used to buffer the top skip levels.

## Constructor & Destructor Documentation

Lucene::SkipBuffer::SkipBuffer | ( | const IndexInputPtr & | input,
|  | int32_t | length
| ) |  |

virtual Lucene::SkipBuffer::~SkipBuffer | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::SkipBuffer::_getClassName | ( |  | ) |

inline static

virtual void Lucene::SkipBuffer::close | ( |  | ) |

virtual

Closes the stream to further operations.

Implements Lucene::IndexInput.

virtual String Lucene::SkipBuffer::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::IndexInput.

virtual int64_t Lucene::SkipBuffer::getFilePointer | ( |  | ) |

virtual

Returns the current position in this file, where the next read will occur.

Implements Lucene::IndexInput.

virtual int64_t Lucene::SkipBuffer::length | ( |  | ) |

virtual

The number of bytes in the file.

Implements Lucene::IndexInput.

virtual uint8_t Lucene::SkipBuffer::readByte | ( |  | ) |

virtual

Reads and returns a single byte.

Implements Lucene::IndexInput.

virtual void Lucene::SkipBuffer::readBytes | ( | uint8_t * | b,
|  | int32_t | offset,
|  | int32_t | length
| ) |  |

virtual

Reads a specified number of bytes into an array at the specified offset.

Implements Lucene::IndexInput.

virtual void Lucene::SkipBuffer::seek | ( | int64_t | pos | ) |

virtual

Sets current position in this file, where the next read will occur.

Implements Lucene::IndexInput.

boost::shared_ptr< SkipBuffer > Lucene::SkipBuffer::shared_from_this | ( |  | ) |

inline

## Field Documentation

ByteArray Lucene::SkipBuffer::data

protected

int64_t Lucene::SkipBuffer::pointer

protected

int32_t Lucene::SkipBuffer::pos

protected

The documentation for this class was generated from the following file:

- MultiLevelSkipListReader.h

clucene.sourceforge.net